<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsDeviceModeR Class Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_xs_device_mode_r-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsDeviceModeR Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A structure for storing device modes.  
 <a href="struct_xs_device_mode_r.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a360587019835ed47d7bd2615d0ae3321"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a360587019835ed47d7bd2615d0ae3321"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode_r.html#a360587019835ed47d7bd2615d0ae3321">XsDeviceModeR</a> (const <a class="el" href="group__enums.html#ga4a3c29ec781b610861d5647f6d7e2375">XsOutputMode</a> mode=XS_DEFAULT_OUTPUT_MODE, const <a class="el" href="group__enums.html#ga495d13d74173f9670b4e4a544557c88a">XsOutputSettings</a> settings=XS_DEFAULT_OUTPUT_SETTINGS, const uint16_t rate=100)</td></tr>
<tr class="memdesc:a360587019835ed47d7bd2615d0ae3321"><td class="mdescLeft">&#160;</td><td class="mdescRight">default constructor, initializes to the given (default) MT settings <br /></td></tr>
<tr class="separator:a360587019835ed47d7bd2615d0ae3321"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf1b608d87186f1ce29f6fd0f869d51c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode_r.html#aaf1b608d87186f1ce29f6fd0f869d51c">updateRate</a> (void) const </td></tr>
<tr class="memdesc:aaf1b608d87186f1ce29f6fd0f869d51c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the real update rate in Hz.  <a href="#aaf1b608d87186f1ce29f6fd0f869d51c">More...</a><br /></td></tr>
<tr class="separator:aaf1b608d87186f1ce29f6fd0f869d51c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca6f69208d513995071e69f0f6b84e28"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode_r.html#aca6f69208d513995071e69f0f6b84e28">getPeriodAndSkipFactor</a> (uint16_t &amp;period, uint16_t &amp;skip) const </td></tr>
<tr class="memdesc:aca6f69208d513995071e69f0f6b84e28"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compute the period and skip factor from the stored update rate.  <a href="#aca6f69208d513995071e69f0f6b84e28">More...</a><br /></td></tr>
<tr class="separator:aca6f69208d513995071e69f0f6b84e28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3630d7f2256bf8ca343a6ecb79fa9578"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode_r.html#a3630d7f2256bf8ca343a6ecb79fa9578">setPeriodAndSkipFactor</a> (uint16_t period, uint16_t skip)</td></tr>
<tr class="memdesc:a3630d7f2256bf8ca343a6ecb79fa9578"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compute the update rate from a period and skip factor.  <a href="#a3630d7f2256bf8ca343a6ecb79fa9578">More...</a><br /></td></tr>
<tr class="separator:a3630d7f2256bf8ca343a6ecb79fa9578"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae875221104a5b480ff797660a9531ea4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae875221104a5b480ff797660a9531ea4"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode_r.html#ae875221104a5b480ff797660a9531ea4">operator==</a> (const <a class="el" href="struct_xs_device_mode_r.html">XsDeviceModeR</a> &amp;dev) const </td></tr>
<tr class="memdesc:ae875221104a5b480ff797660a9531ea4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if all fields of the two structures are equal. <br /></td></tr>
<tr class="separator:ae875221104a5b480ff797660a9531ea4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ad3df4ee696f89fef43866f2630fc5d0d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad3df4ee696f89fef43866f2630fc5d0d"></a>
<a class="el" href="group__enums.html#ga4a3c29ec781b610861d5647f6d7e2375">XsOutputMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode_r.html#ad3df4ee696f89fef43866f2630fc5d0d">m_outputMode</a></td></tr>
<tr class="memdesc:ad3df4ee696f89fef43866f2630fc5d0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The output mode. <br /></td></tr>
<tr class="separator:ad3df4ee696f89fef43866f2630fc5d0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64b4290afe1c00804fc7b53e115e38c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a64b4290afe1c00804fc7b53e115e38c5"></a>
<a class="el" href="group__enums.html#ga495d13d74173f9670b4e4a544557c88a">XsOutputSettings</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode_r.html#a64b4290afe1c00804fc7b53e115e38c5">m_outputSettings</a></td></tr>
<tr class="memdesc:a64b4290afe1c00804fc7b53e115e38c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">The output settings. <br /></td></tr>
<tr class="separator:a64b4290afe1c00804fc7b53e115e38c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b8bf3951742d47406252e347a4496ed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b8bf3951742d47406252e347a4496ed"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_mode_r.html#a0b8bf3951742d47406252e347a4496ed">m_updateRate</a></td></tr>
<tr class="memdesc:a0b8bf3951742d47406252e347a4496ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">The desired update rate. <br /></td></tr>
<tr class="separator:a0b8bf3951742d47406252e347a4496ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A structure for storing device modes. </p>
<p>Stores device modes using an update rate.</p>
<dl class="section note"><dt>Note</dt><dd>MT Mk4 devices are better configured using <a class="el" href="struct_xs_output_configuration.html" title="Single data type output configuration. ">XsOutputConfiguration</a>, this object is supplied for legacy support only. </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="struct_xs_device_mode.html" title="Contains the output configuration of a device. ">XsDeviceMode</a> </dd>
<dd>
<a class="el" href="struct_xs_device_mode_p_s.html" title="Stores device modes using period and skip factor. ">XsDeviceModePS</a> </dd></dl>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="aca6f69208d513995071e69f0f6b84e28"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceModeR::getPeriodAndSkipFactor </td>
          <td>(</td>
          <td class="paramtype">uint16_t &amp;&#160;</td>
          <td class="paramname"><em>period</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t &amp;&#160;</td>
          <td class="paramname"><em>skip</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Compute the period and skip factor from the stored update rate. </p>
<p>This function computes the period and skipFactor fields from the stored m_updateRate field. The maximum error in the update rate is approximately 0.4%, which occurs at 510Hz (= actually 512 Hz). In general, the higher rates are harder to set up exactly. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">period</td><td>Storage for period result </td></tr>
    <tr><td class="paramname">skip</td><td>Storage for skip factor result </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3630d7f2256bf8ca343a6ecb79fa9578"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceModeR::setPeriodAndSkipFactor </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>period</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>skip</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Compute the update rate from a period and skip factor. </p>
<p>This function does the reverse of the getPeriodAndSkipFactor function, storing the value in the m_updateRate field. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">period</td><td>The sample period in 1/115200 secons units </td></tr>
    <tr><td class="paramname">skip</td><td>The output skip factor </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aaf1b608d87186f1ce29f6fd0f869d51c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int XsDeviceModeR::updateRate </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return the real update rate in Hz. </p>
<p>This may be up to 2Hz different from the value that is set in m_updateRate due to hardware limitations. </p><dl class="section return"><dt>Returns</dt><dd>The actual update rate that will be used by the device </dd></dl>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
